Bug 171952 - [PATCH] multimedia/dvdauthor: update to 0.7.1, take maintainership, OptionsNG
Summary: [PATCH] multimedia/dvdauthor: update to 0.7.1, take maintainership, OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 15:40 UTC by nemysis
Modified: 2012-10-03 19:30 UTC (History)
0 users

See Also:


Attachments
dvdauthor-0.7.1.patch (8.79 KB, patch)
2012-09-25 15:40 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-25 15:40:00 UTC
Makefile changed
- OptionsNG
- Clean install Documentation

- Update to 0.7.1
- Take maintainership

Added file(s):
- files/README.FreeBSD.in

Removed file(s):
- files/README.FreeBSD

- files/patch-spuunmux.c
In new Version is included
#include <zlib.h>
if (setjmp(png_jmpbuf(png_ptr)))

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

Build log RedPorts

https://redports.org/buildarchive/20120925084454-7407/
Comment 1 Pawel Pekala freebsd_committer 2012-09-29 14:36:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-10-03 19:24:21 UTC
Author: pawel
Date: Wed Oct  3 18:24:05 2012
New Revision: 305215
URL: http://svn.freebsd.org/changeset/ports/305215

Log:
  - Update to version 0.7.1
  - Convert to optionsNG
  - Add LICENSE
  - Take maintainership
  
  While I'm here:
  
  - Don't link to ImageMagick when IMAGEMAGICK=off
  - Trim Makefile header
  - Add missing deps
  - Port needs pkg-config during build
  
  PR:		ports/171952
  Submitted by:	nemysis <nemysis@gmx.ch>

Added:
  head/multimedia/dvdauthor/files/README.FreeBSD.in   (contents, props changed)
Deleted:
  head/multimedia/dvdauthor/files/README.FreeBSD
  head/multimedia/dvdauthor/files/patch-spuunmux.c
Modified:
  head/multimedia/dvdauthor/Makefile
  head/multimedia/dvdauthor/distinfo
  head/multimedia/dvdauthor/pkg-plist

Modified: head/multimedia/dvdauthor/Makefile
==============================================================================
--- head/multimedia/dvdauthor/Makefile	Wed Oct  3 18:08:47 2012	(r305214)
+++ head/multimedia/dvdauthor/Makefile	Wed Oct  3 18:24:05 2012	(r305215)
@@ -1,69 +1,80 @@
-# New ports collection makefile for:   dvdauthor
-# Date created:        20 April 2003
-# Whom:                pb@FreeBSD.org
-#
+# Created by: pb@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=	dvdauthor
-PORTVERSION=	0.7.0
-PORTREVISION=	3
+PORTVERSION=	0.7.1
 CATEGORIES=	multimedia
 MASTER_SITES=	SF
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Makes a DVD file structure from one or more MPEG2 streams
 
-LIB_DEPENDS=	dvdread.4:${PORTSDIR}/multimedia/libdvdread \
-		fribidi.3:${PORTSDIR}/converters/fribidi \
-		xml2.5:${PORTSDIR}/textproc/libxml2 \
-		freetype.9:${PORTSDIR}/print/freetype2
+LICENSE=	GPLv2
 
-USE_BISON=	build
-USE_GMAKE=	yes
+LIB_DEPENDS=	dvdread:${PORTSDIR}/multimedia/libdvdread \
+		fribidi:${PORTSDIR}/converters/fribidi \
+		freetype:${PORTSDIR}/print/freetype2 \
+		png15:${PORTSDIR}/graphics/png \
+		expat:${PORTSDIR}/textproc/expat2 \
+		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
+
+WRKSRC=		${WRKDIR}/${PORTNAME}
+
+USE_GNOME=	libxml2
 GNU_CONFIGURE=	yes
-CFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib
-WRKSRC=		${WRKDIR}/dvdauthor
-MAN1=	dvdauthor.1 dvddirdel.1 dvdunauthor.1 mpeg2desc.1 spumux.1 spuunmux.1
+USE_GMAKE=	yes
+USE_PKGCONFIG=	build
+USE_ICONV=	yes
+CFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	AUTHORS ChangeLog README TODO
+
+DOCSRCDIR2=	${WRKDIR}
+DOC_FILES2=	README.FreeBSD
+
+MAN1=		dvdauthor.1 dvddirdel.1 dvdunauthor.1 mpeg2desc.1 spumux.1 spuunmux.1
 
-.include <bsd.port.pre.mk>
+OPTIONS_DEFINE=	VIDEO-FORMAT IMAGEMAGICK
 
-.if exists(${LOCALBASE}/lib/libfreetype.so.9)
-WITH_FREETYPE=		yes
+OPTIONS_SINGLE=	VIDEO-FORMAT
+OPTIONS_SINGLE_VIDEO-FORMAT=	NTSC PAL
+
+VIDEO-FORMAT_DESC=	Use default video format
+NTSC_DESC=	Default video format NTSC
+PAL_DESC=	Default video format PAL
+
+SUB_FILES=	README.FreeBSD
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNTSC}
+.if ${PORT_OPTIONS:MVIDEO-FORMAT}
+CONFIGURE_ENV+=	--enable-default-video-format=NTSC
 .endif
-.if exists(${LOCALBASE}/lib/libiconv.so)
-WITH_ICONV=		yes
 .endif
-.if exists(${LOCALBASE}/lib/libMagickWand.so.5)
-WITH_IMAGEMAGICK=	yes
+
+.if ${PORT_OPTIONS:MPAL}
+.if ${PORT_OPTIONS:MVIDEO-FORMAT}
+CONFIGURE_ENV+=	--enable-default-video-format=PAL
+.endif
 .endif
 
-.if defined(WITH_ICONV)
-USE_ICONV=	yes
-CFLAGS+=	-DICONV_CONV=yes
+.if ${PORT_OPTIONS:MIMAGEMAGICK}
+LIB_DEPENDS+=	Magick:${PORTSDIR}/graphics/ImageMagick
 .endif
-.if defined(WITH_IMAGEMAGICK)
-LIB_DEPENDS+=	MagickWand.5:${PORTSDIR}/graphics/ImageMagick
-.else
-LIB_DEPENDS+=	png15:${PORTSDIR}/graphics/png
-.endif
-
-pre-everything::
-.if !defined(WITH_ICONV)
-	@${ECHO_MSG} "You can enable Iconv support by defining WITH_ICONV."
-	@${ECHO_MSG}
-.endif
-.if !defined(WITH_IMAGEMAGICK)
-	@${ECHO_MSG} "You can enable ImageMagick support by defining WITH_IMAGEMAGICK."
-	@${ECHO_MSG}
+
+pre-configure:
+.if !${PORT_OPTIONS:MIMAGEMAGICK}
+	@${REINPLACE_CMD} 's|usemagick=1|usemagick=0|g' \
+		${WRKSRC}/configure
 .endif
 
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${PREFIX}/share/doc/dvdauthor
-	${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/dvdauthor
-	${INSTALL_DATA} ${FILESDIR}/README.FreeBSD ${PREFIX}/share/doc/dvdauthor
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${DOCSDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/multimedia/dvdauthor/distinfo
==============================================================================
--- head/multimedia/dvdauthor/distinfo	Wed Oct  3 18:08:47 2012	(r305214)
+++ head/multimedia/dvdauthor/distinfo	Wed Oct  3 18:24:05 2012	(r305215)
@@ -1,2 +1,2 @@
-SHA256 (dvdauthor-0.7.0.tar.gz) = aea6af7b99eba38ffa9dc5ad1521c2cc652e043cea0e7482e239d2a3fc2f34d0
-SIZE (dvdauthor-0.7.0.tar.gz) = 414191
+SHA256 (dvdauthor-0.7.1.tar.gz) = 501fb11b09c6eb9c5a229dcb400bd81e408cc78d34eab6749970685023c51fe9
+SIZE (dvdauthor-0.7.1.tar.gz) = 421324

Added: head/multimedia/dvdauthor/files/README.FreeBSD.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/dvdauthor/files/README.FreeBSD.in	Wed Oct  3 18:24:05 2012	(r305215)
@@ -0,0 +1,43 @@
+To create mpeg files suitable for a DVD, you can use the
+multimedia/transcode port.
+
+To encode video, use the following:
+	transcode -i .... -y mpeg2enc,null -w 9500 -F '8,-q6 -N -P' -o output
+
+This creates output.m2v, MPEG2 video at 9500Kbps (peak bitrate).
+Please refer to the man page of mpeg2desc for various encoder options
+(to be put after "-F '8,"), and to the MJPEG Tools Howto for useful
+hints.
+
+You can add "-J yuvdenoise" to reduce video noise before encoding,
+this yields very substantial gains in required bit rate.
+
+For audio:
+	transcode -i .... -y null,toolame -E 48000 -b 224 -o output
+This creates output.mp2, MPEG 1 Layer II audio, 48KHz, bitrate 224Kbps.
+
+Then multiplex the streams:
+	mplex -f 8 -o output.mpeg output.m2v output.mp2
+
+You can then use the resulting output.mpeg file with dvdauthor.
+
+Alternatively, you can use the bbmpeg codec which is faster but not
+as good in terms of quality, especially at low birates:
+	transcode -i .... -y mpeg -F d -E 48000 -b 224 -o output
+	tcmplex -i output.m2v -p output.mpa -m d -o output.mpeg
+
+Once your DVD is ready, you can use sysutils/dvd+rw-tools to burn
+it, or burncd(8) if it is a DVD+RW or DVD-RW.
+
+	Pierre Beyssac (pb@freebsd.org)
+
+Recommended reading:
+- mjpegtools home page
+	http://mjpeg.sourceforge.net/
+- mjpegtools howto
+	https://sourceforge.net/docman/display_doc.php?docid=3456&group_id=5776
+- transcode examples
+	http://www.theorie.physik.uni-goettingen.de/~ostreich/transcode/html/index.html
+- "some thoughts on DVD authoring"
+	http://www.tappin.me.uk/Linux/dvd.html
+

Modified: head/multimedia/dvdauthor/pkg-plist
==============================================================================
--- head/multimedia/dvdauthor/pkg-plist	Wed Oct  3 18:08:47 2012	(r305214)
+++ head/multimedia/dvdauthor/pkg-plist	Wed Oct  3 18:24:05 2012	(r305215)
@@ -4,9 +4,13 @@ bin/dvdunauthor
 bin/mpeg2desc
 bin/spumux
 bin/spuunmux
-share/dvdauthor/dvdauthor.xsd
-share/dvdauthor/spumux.xsd
-@dirrm share/dvdauthor
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/README.FreeBSD
+%%PORTDOCS%%%%DOCSDIR%%/TODO
+%%DATADIR%%/common.xsd
+%%DATADIR%%/dvdauthor.xsd
+%%DATADIR%%/spumux.xsd
+@dirrm %%DATADIR%%
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2012-10-03 19:25:15 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!